import { useTranslation } from 'react-i18next'
import { appInst } from 'appConfig'
import { ReactComponent as UiOLogoNo } from './uio/uio-logo-neg-no.svg'
import { ReactComponent as UiOLogoEn } from './uio/uio-logo-neg-en.svg'
import { ReactComponent as UiOLogoSealNo } from './uio/uio-segl-full-neg-no.svg'
import { ReactComponent as UiOLogoSealEn } from './uio/uio-segl-full-neg-en.svg'

import { ReactComponent as UiBLogoNo } from './uib/UiBlogo_hvit_v.svg'
import { ReactComponent as UiBLogoEn } from './uib/UiBlogo_Eng_white_left.svg'

function getHeaderLogo() {
  const { i18n } = useTranslation()
  switch (appInst) {
    case 'uio':
      if (i18n.language === 'en') {
        return (
          <UiOLogoEn
            style={{ minHeight: '5rem', minWidth: '5rem', maxWidth: '15rem' }}
          />
        )
      }
      return (
        <UiOLogoNo
          style={{
            minHeight: '5rem',
            minWidth: '5rem',
            maxWidth: '15rem',
            opacity: '0.99',
          }}
        />
      )
    case 'uib':
      if (i18n.language === 'en') {
        return (
          <UiBLogoEn
            style={{ minHeight: '5rem', minWidth: '10rem', maxWidth: '30rem' }}
          />
        )
      }
      return (
        <UiBLogoNo
          style={{ minHeight: '5rem', minWidth: '10rem', maxWidth: '30rem' }}
        />
      )
    default:
      return <></>
  }
}

function getFooterLogo() {
  const { i18n } = useTranslation()

  switch (appInst) {
    case 'uio':
      if (i18n.language === 'en') {
        return (
          <UiOLogoSealEn
            style={{ minHeight: '6rem', minWidth: '10rem', maxWidth: '20rem' }}
          />
        )
      }
      return (
        <UiOLogoSealNo
          style={{ minHeight: '6rem', minWidth: '10rem', maxWidth: '20rem' }}
        />
      )
    case 'uib':
      // No footer logo defined for UiB
      return <></>
    default:
      return <></>
  }
}

export { getHeaderLogo, getFooterLogo }
